cancel
Showing results for 
Search instead for 
Did you mean: 

AURIX™

Louis_LEE
New Contributor
I found iLLD error about TC23A series QSPI communication.
My TC237 app-kit has worked with application demo which has been uploaded on Myicp.
However, My app-kit had not worked with iLLD version from 1.0.1.9.0 to latest version 1.0.1.12.0.
but It has worked well when iLLD version is exchanged 1.0.1.9.0 for 1.0.1.8.0.

So, I compared iLLD files for QSPI between iLLD version 1.0.1.8.0 and 1.0.1.9.0.
And then, I exchanged some codes like the picture below.
(The codes are some parts of function "IfxQspi_calculateExtendedConfigurationValue" which is inlcuded "IfxQspi.c" file.)
My app-kit TFT has worked well when they exchaned.

I think that "IfxQspi.c" file might have had some problem issues ever since iLLD version 1.0.1.9.0.
Please review this problem ASAP.

4840.attach
0 Likes
2 Replies
herurram
New Contributor
Hi ljs6040,
Please can you share the complete workspace which is not working. Also please can you provide right information on what exactly is failing ?
Regards
Manju
0 Likes
Louis_LEE
New Contributor
herurram wrote:
Hi ljs6040,
Please can you share the complete workspace which is not working. Also please can you provide right information on what exactly is failing ?
Regards
Manju


@herurram

Please read my another posting which has been posted on this forum.
(URL : https://www.infineonforums.com/threads/11944-How-can-I-use-the-TFT-LCD-in-Application-board-TC237)
Also, Please use the demo file "AURIX TC237x TFT Application Kit Firmware" which has been uploaded on Myicp.
(Notice! You only have to change from iLLD old-version to latest version. and I have worked in "Aurix Development studio v1.3.0")
0 Likes